package astro

import (
	"fmt"
	"testing"
	"time"
)

func TestCal(t *testing.T) {
	//LDateInfo(time.Time{}, time.Date(2021, 1, 1, 0, 0, 0, 0, time.Local), false)
	//DateInfo(time.Time{}, time.Now().Add(time.Second*-5))
	for y := 2008; y < 2028; y++ {
		zq := GuoQing(y)
		zq.BasicInfo()
		zq.Detail()
		fmt.Println("--------")
	}

}

func TestChineseHoliday(t *testing.T) {
	legalData := [][]Holiday{
		//year 2000
		{
			{
				Start:     time.Date(1999, 12, 31, 0, 0, 0, 0, time.Local),
				End:       time.Date(2000, 1, 2, 0, 0, 0, 0, time.Local),
				Core:      time.Date(2000, 1, 1, 0, 0, 0, 0, time.Local),
				Total:     3,
				Instead:   nil,
				Name:      "元旦",
				LegalDays: 1,
			},
		},
	}
	_ = legalData
}
